# VkViewportWScalingNV(3) Manual Page

## Name

VkViewportWScalingNV - Structure specifying a viewport

## C Specification

The `VkViewportWScalingNV` structure is defined as:

    typedef struct VkViewportWScalingNV {
        float    xcoeff;
        float    ycoeff;
    } VkViewportWScalingNV;

## Members

- `xcoeff` and `ycoeff` are the viewport’s W scaling factor for x and y respectively.

## Description

## See Also

VkPipelineViewportWScalingStateCreateInfoNV, vkCmdSetViewportWScalingNV

## Document Notes

For more information, see the Vulkan Specification

This page is extracted from the Vulkan Specification. Fixes and changes should be made to the Specification, not directly.

## Copyright

Copyright (c) 2014-2020 Khronos Group. This work is licensed under a Creative Commons Attribution 4.0 International License.